mikrocontroller.net

Forum: FPGA, VHDL & Co. Failed to run core generator for <trimode_mac_mii_wrapper_fifo_generator_v4_3_1> macro.


Autor: A. M. (am85)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Hi

Ich habe auf meinem System neben dem Xilinx EDK 10.1 SP3 noch das EDK
12.1 installiert. Das war bisher kein Problem und ich konnte beide
benutzen und mit beiden mein Design synthetisieren. Seit Anfang letzter
Woche bekomme ich aber beim synthetisieren immer wieder folgende
Fehlermeldung:
<E:/Xilinx/12.1/ISE_DS/EDK/virtex4/data/virtex4.acd> with local file
<E:/Xilinx/12.1/ISE_DS/ISE/virtex4/data/virtex4.acd>
ERROR:Xst:2647 - Failed to run core generator for <trimode_mac_mii_wrapper_fifo_generator_v4_3_1> macro.
ERROR:EDK:546 - Aborting XST flow execution!
INFO:EDK:2246 - Refer to
   C:\MII_MaxSpeed\synthesis\trimode_mac_mii_wrapper_xst.srp for details

Running NGCBUILD ...

Rebuilding cache ...
ERROR:EDK:440 - platgen failed with errors!
make: *** [implementation/trimode_mac_mii_wrapper.ngc] Error 2
Done!

Die Fehlermeldung bekomme ich seltsamerweise sowohl mit der 10.1er als
auch mit der 12.1er Version. Ich hatte schon die Befürchtung, dass die
Evaluationslizenz für den xps_ll_temac Core ausgelaufen ist, den ich in
Verbindung mit dem Hard TEMAC in meinem Virtex 4 Board verwende. Die
Melddung kommt aber trotz aktuellem Lizenzfile. Im Xilinx Forum konnte
mir bis jetzt noch keiner eine Antwort geben und bei den Answer Requests
gab es zwar zwei Beiträge zu diesem Problem, geholfen haben sie aber
nicht.

Hat vielleicht jemand eine Idee? Ich bin für jede Hilfe dankbar

Autor: Christian R. (supachris)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Setzt du denn die Xilinx Umgebungsvariablen für die Installationspfade 
entsprechend, bevor du die Version wechselst?

Autor: A. M. (am85)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Jupp, tu ich. Wobei das bei der 12er Version gar nicht mehr so relevant 
zu sein scheint. Bei der 8.1er, die ich testweise auch mal drauf hatte, 
zu einem viel früheren Zeitpunkt, hat er sofort gemeckert.

Änderungen an den Umgebungsvariablen hatte ich zwischenzeitlich aber 
nicht vorgenommen. Vorher lief es und plötzlich nicht mehr. In einem 
Answer Request auf der Xilinx Seite wird darauf hingewiesen, dass die 
Java VM für den CoreGen mehr Speicher bräuchte, wenn diese Fehlermeldung 
auftaucht. Nun hab ich vom 12er den CoreGen geöffnet (ohne aktives 
Projekt) und hab dort den Speicher von 1024 auf 2048 MB erweitert. Das 
Problem taucht immer noch auf und in der in der Fehlermeldung angegebene 
trimode_mac_mii_wrapper_xst.srp Datei steht aber was von 768MB. Da frag 
ich mich, woher dieser Wert kommt und warum aufeinmal?

Antwort schreiben

Die Angabe einer E-Mail-Adresse ist freiwillig. Wenn Sie automatisch per E-Mail über Antworten auf Ihren Beitrag informiert werden möchten, melden Sie sich bitte an.

Wichtige Regeln - erst lesen, dann posten!

  • Groß- und Kleinschreibung verwenden
  • Längeren Sourcecode nicht im Text einfügen, sondern als Dateianhang

Formatierung (mehr Informationen...)

  • [c]C-Code[/c]
  • [avrasm]AVR-Assembler-Code[/avrasm]
  • [vhdl]VHDL-Code[/vhdl]
  • [code]Code in anderen Sprachen, ASCII-Zeichnungen[/code]
  • [math]Formel in LaTeX-Syntax[/math]
  • [[Titel]] - Link zu Artikel
  • Verweis auf anderen Beitrag einfügen: Rechtsklick auf Beitragstitel,
    "Adresse kopieren", und in den Text einfügen




Bild automatisch verkleinern, falls nötig
Bitte das JPG-Format nur für Fotos und Scans verwenden!
Zeichnungen und Screenshots im PNG- oder
GIF-Format hochladen. Siehe Bildformate.
Hinweis: der ursprüngliche Beitrag ist mehr als 6 Monate alt.
Bitte hier nur auf die ursprüngliche Frage antworten,
für neue Fragen einen neuen Beitrag erstellen.

Mit dem Abschicken bestätigst du, die Nutzungsbedingungen anzuerkennen.